Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
You are viewing documentation for Polymarket US
Search for events and markets
query(params?)
GET /v1/search
const results = await client.search.query({ query: 'bitcoin', limit: 10, }); for (const event of results.events) { console.log(event.title); for (const market of event.markets ?? []) { console.log(` - ${market.question}`); } }
query
limit
page
seriesIds
marketType
status
{ events: [ { id: 123, title: 'Bitcoin Price Markets', slug: 'bitcoin-price', markets: [ { id: 456, question: 'Will Bitcoin reach $100k?', slug: 'btc-100k-2025', }, ], }, ], }